Yueda Digital Holding

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/yueda-digital-holding/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/yueda-digital-holding/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1756339200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://airnettechnology.gcs-web.com/news-releases/news-release-details/airnet-technology-inc-completes-us1800-million-registered-direct",
    "holding_balance": 819.07,
    "holding_net_change": 819.07,
    "transaction_value_usd": 92191578.7387,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/yueda-digital-holding/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    819.07
  ],
  [
    1779062400000,
    819.07
  ],
  [
    1779148800000,
    819.07
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/yueda-digital-holding/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    63420475.4302
  ],
  [
    1779062400000,
    63022743.22890001
  ],
  [
    1779148800000,
    62871821.3907
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/yueda-digital-holding/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.83,
    "date": "2026-05-15",
    "high": 0.91,
    "open": 0.85,
    "close": 0.87,
    "volume": 34300
  },
  {
    "low": 0.85,
    "date": "2026-05-18",
    "high": 0.87,
    "open": 0.85,
    "close": 0.85,
    "volume": 22000
  },
  {
    "low": 0.735,
    "date": "2026-05-19",
    "high": 0.84,
    "open": 0.84,
    "close": 0.7842,
    "volume": 291626
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/yueda-digital-holding/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/yueda-digital-holding/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -15.68,
  "six_month_return": -53.87,
  "three_month_return": -13.82
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/yueda-digital-holding/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1336.2,
  "total_btc_percentage": 0.004,
  "share_price_change_state": "down"
}